# Shells

## Regenerar Asientos Contables

### Asientos por Ventas

```
cd app/cake/console;
./cake -app ../../app tims accSales from=2020-01-01 to=2020-12-31
```

### Recalcular Libro de IVA de Ventas

```
cd app/cake/console;
./cake -app ../../app tims sumTaxesSales from=2020-01-01 to=2020-12-31
```

### Asientos por Compras

```
cd app/cake/console;
./cake -app ../../app tims accPurchases from=2020-01-01 to=2020-12-31
```

### Asientos por Cobros

```
cd app/cake/console;
./cake -app ../../app tims accCollections from=2020-01-01 to=2020-12-31
```

### Asientos por Pagos

```
cd app/cake/console;
./cake -app ../../app tims accPayments from=2020-01-01 to=2020-12-31
```

### Asientos por Notas de Crédito de Ventas

```
cd app/cake/console;
./cake -app ../../app tims accSaleCreditNotes from=2020-01-01 to=2020-12-31
```

### Asientos por Notas de Crédito de Compras

```
cd app/cake/console;
./cake -app ../../app tims accPurchaseCreditNotes from=2020-01-01 to=2020-12-31
```

### Asientos por Notas de Crédito de Compras

```
cd app/cake/console;
./cake -app ../../app tims accPurchaseCreditNotes from=2020-01-01 to=2020-12-31
```

### Asientos por Préstamos

```
cd app/cake/console;
./cake -app ../../app tims accLoans from=2020-01-01 to=2020-12-31
```

### Asientos por Transferencias de Fondos

```
cd app/cake/console;
./cake -app ../../app tims accFundTransfers from=2020-01-01 to=2020-12-31
```

### Asientos por Ajustes de Inventario

```
cd app/cake/console;
./cake -app ../../app tims accInvads from=2020-01-01 to=2020-12-31
```

### Asientos por Canjes

```
cd app/cake/console;
./cake -app ../../app tims accSwaps from=2020-01-01 to=2020-12-31
```

## Stock

### Recalcular Ajustes de Inventario

```
cd app/cake/console;
./cake -app ../../app tims updateInvads from=2020-01-01 to=2020-12-31 [warehouse=1]
```

## Replicación de Ventas de TR de BIMS 2 a BIMS 1

### Análisis Comparativo de Datos entre BIMS 1 y BIMS 2

```
/root/bims2/cake/console/cake -app /root/bims2/app apisync validate from=2020-08-24 to=2020-08-24 [agency=8]
```

### Forzar Replicación de un Período

```
/root/bims2/cake/console/cake -app /root/bims2/app apisync validate from=2020-08-24 to=2020-08-24 [agency=8] fix=1
```

### Sincronizar Cuentas de Fondos desde BIMS 1 a BIMS 2

```
php -q /var/www/html/app/webroot/bims2_std/cake/console/cake.php -working / -app /var/www/html/app/webroot/bims2_std/app todorico sync_fund_accounts
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.bims.xyz/recursos-para-soporte/shells.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
